summarylogtreecommitdiffstats
path: root/viper-web
diff options
context:
space:
mode:
authorChristian Rebischke2016-11-15 23:28:17 +0100
committerChristian Rebischke2016-11-15 23:28:17 +0100
commitb2324ceb15feca36baa849627530b875a3ce7717 (patch)
treef469a9c105837d718b7b6299ac71fbbaeb7764a6 /viper-web
parentb47a8ee38ef78b28851029ac6fdd8aadb00addb3 (diff)
downloadaur-viper-framework-git.tar.gz
SECURITY UPDATE: removed chmod ugo+w
Diffstat (limited to 'viper-web')
-rw-r--r--viper-web11
1 files changed, 11 insertions, 0 deletions
diff --git a/viper-web b/viper-web
new file mode 100644
index 000000000000..0ac4ae72ad3d
--- /dev/null
+++ b/viper-web
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+if [[ $UID -eq 0 ]]; then
+ echo "Do not run viper as root!"
+ exit 1
+elif groups $USER | grep &>/dev/null "\bviper\b"; then
+ "/opt/viper/$(basename $0)" "$@"
+else
+ echo "You have to be in group 'viper'"
+ exit 1
+fi